<!DOCTYPE html>
<html>

	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Forms, Tables, and Semantic HTML</title>
	</head>

	<body>

		<!-- <header> tag - semantic tag to inform the developer and client that this component is for the header of the web page -->
		<header>
			<h2 align="center">HTML Entities</h2>
		</header>

		<main>

			<!-- This section is for the HTML Table -->
			<section>
				<p><em>Reserved Characters in HTML  (example: &lt; or &gt;) that can be mixed up with HTML code)</em></p>

				<!-- border attribute defines the thickness of the table border (px) -->
				<table border="2">
					<!-- <thead> tag - for the header of the table -->
					<thead>
						<!-- <tr> tag - defines a table row -->
						<!-- first row on our header -->
						<tr>
							<!-- <th> tag - defines table header element -->
							<!-- colspan attribute - shows how many column it will target. changes the amount of columns a table element will occupy -->
							<!-- rowspan attribute - changes the amount of rows a table element will occupy-->
							<th colspan="2">ENTITY</th>
							<th rowspan="2">DESCRIPTION</th>
						</tr>
						
						<!-- second row of our header -->
						<tr>
							<th>SYMBOL</th>
							<th>NAME/NUMBER</th>
						</tr>

					</thead>

					<!-- <tbody> tag - for the body of the table -->
					<tbody>
						<!-- this is the first row -->
						<tr>
							<!-- <td> tag - we use this for the columns of our tbody -->
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
						</tr>
						
						<!-- This is for the second row -->
						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>

						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>

						<tr>
							<td>&amp;</td>
							<td>amp</td>
							<td>ampersand</td>
						</tr>

						<tr>
							<td>&quot;</td>
							<td>quot</td>
							<td>double quotation mark</td>
						</tr>

						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>single quotationmark (apostrophe)</td>
						</tr>

						<tr>
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>Lower Tilde</td>
						</tr>

						<tr>
							<td>&Ntilde;</td>
							<td>Ntilde</td>
							<td>Upper Tilde</td>
						</tr>

					</tbody>

					<!-- <tfoot> tag - for the footer of the table -->
					<tfoot>
						<tr>
							<th colspan="3">List of HTML Entities</th>
						</tr>
					</tfoot>

				</table>

			</section>
			<!-- this is the end of table section -->

			<!-- this section is for the HTML Form -->
			<section>

				<h2 align="center">HTML Form</h2>
				<p><em>Input elements that make up a form</em></p>

				<form>
					<!-- text inputs -->
					<!-- <label> tag - creates a text element that serve as the label for the input field -->
					<!-- type attribute - defines what type of information the input field will be -->
					<!-- for attribute - used with the id attribute in an input element. This allows users to click the label to type their response -->
					<!-- name attribute - tells the database or api where the value collected from the user will be added depending on the method -->
					<label for="fullname">Full Name:</label><br/>
					<input type="text" name="fullname" id="fullname" required autocomplete="" /><br/>

					<label for="birthdate">Birthdate:</label><br/>
					<input type="date" name="birthdate" id="birthdate" required autocomplete="" /><br/>

					<label>Age:</label><br/>
					<input type="number" name="age" id="age" required autocomplete="" /><br/>

					<!-- Dropdown -->
					<!-- value attribute - information from the user that will be passed on the database -->
					<label for="gender">Gender:</label><br/>
						<select name="gender" id="gender">
							<option value="male">Male</option>
							<option value="female">Female</option>	
						</select><br/>

					<!-- Textarea -->
					<label for="suggestions">Suggestions:</label><br/>
					<textarea name="suggestions" rows="5" cols="5" id="suggestions" required autocomplete=""></textarea><br/>

					<!-- Radio Button -->
					<label>Civil Status:</label><br/>

					<input type="radio" name="civilstatus" value="single" id="single" />
					<label for="single">Single</label><br/>
					
					<input type="radio" name="civilstatus" value="married" id="married" />
					<label for="married">Married</label><br/>

					<!-- Checkbox -->
					<label>Job:</label><br/>

					<input type="checkbox" name="job1"/ value="developer" id="developer"/>
					<label for="developer">Developer</label><br/>

					<input type="checkbox" name="job2"/ value="student" id="student"/>
					<label for="student">Student</label><br/>

					<input type="checkbox" name="job3"/ value="manager" id="manager"/>
					<label for="manager">Manager</label><br/>

					<button>Submit</button><br/>

					<!-- reset value in type attribute - will reset input of the user in the input fields -->
					<button type="reset">Reset</button><br/>

				</form>
			</section>

		</main>

	</body>

</html>